Bug 1226585 - [abrt] gnome-software: strcmp(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: strcmp(): gnome-software killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:988fd954637a6647552e2313291...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-30 22:33 UTC by mariolinux
Modified: 2015-06-21 00:21 UTC (History)
2 users (show)

Fixed In Version: gnome-software-3.16.4-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-21 00:21:13 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (155.54 KB, text/plain)
2015-05-30 22:33 UTC, mariolinux
no flags Details
File: cgroup (190 bytes, text/plain)
2015-05-30 22:33 UTC, mariolinux
no flags Details
File: core_backtrace (62.77 KB, text/plain)
2015-05-30 22:33 UTC, mariolinux
no flags Details
File: dso_list (13.06 KB, text/plain)
2015-05-30 22:33 UTC, mariolinux
no flags Details
File: environ (1.59 KB, text/plain)
2015-05-30 22:33 UTC, mariolinux
no flags Details
File: limits (1.29 KB, text/plain)
2015-05-30 22:33 UTC, mariolinux
no flags Details
File: maps (65.60 KB, text/plain)
2015-05-30 22:33 UTC, mariolinux
no flags Details
File: mountinfo (3.38 KB, text/plain)
2015-05-30 22:33 UTC, mariolinux
no flags Details
File: namespaces (85 bytes, text/plain)
2015-05-30 22:33 UTC, mariolinux
no flags Details
File: open_fds (2.17 KB, text/plain)
2015-05-30 22:33 UTC, mariolinux
no flags Details
File: proc_pid_status (963 bytes, text/plain)
2015-05-30 22:33 UTC, mariolinux
no flags Details

Description mariolinux 2015-05-30 22:33:23 UTC
Version-Release number of selected component:
gnome-software-3.16.2-2.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: strcmp
executable:     /usr/bin/gnome-software
global_pid:     5293
kernel:         4.0.4-301.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at sab 2015-05-30 20:50:32 CEST, end at sab 2015-05-30 23:16:44 CEST. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strcmp at ../sysdeps/x86_64/strcmp.S:209
 #1 as_app_has_category at as-app.c:426
 #2 gs_plugin_add_popular_from_category at gs-plugin-appstream.c:1106
 #3 gs_plugin_add_popular_by_cat at gs-plugin-appstream.c:1199
 #4 gs_plugin_add_popular at gs-plugin-appstream.c:1326
 #5 gs_plugin_loader_run_popular_plugin at gs-plugin-loader.c:508
 #6 gs_plugin_loader_run_popular at gs-plugin-loader.c:557
 #7 gs_plugin_loader_get_popular_thread_cb at gs-plugin-loader.c:1295
 #8 g_task_thread_pool_thread at gtask.c:1231
 #10 g_thread_proxy at gthread.c:764

Potential duplicate: bug 1164179

Comment 1 mariolinux 2015-05-30 22:33:28 UTC
Created attachment 1032668 [details]
File: backtrace

Comment 2 mariolinux 2015-05-30 22:33:29 UTC
Created attachment 1032669 [details]
File: cgroup

Comment 3 mariolinux 2015-05-30 22:33:32 UTC
Created attachment 1032670 [details]
File: core_backtrace

Comment 4 mariolinux 2015-05-30 22:33:33 UTC
Created attachment 1032671 [details]
File: dso_list

Comment 5 mariolinux 2015-05-30 22:33:35 UTC
Created attachment 1032672 [details]
File: environ

Comment 6 mariolinux 2015-05-30 22:33:36 UTC
Created attachment 1032673 [details]
File: limits

Comment 7 mariolinux 2015-05-30 22:33:38 UTC
Created attachment 1032674 [details]
File: maps

Comment 8 mariolinux 2015-05-30 22:33:39 UTC
Created attachment 1032675 [details]
File: mountinfo

Comment 9 mariolinux 2015-05-30 22:33:41 UTC
Created attachment 1032676 [details]
File: namespaces

Comment 10 mariolinux 2015-05-30 22:33:42 UTC
Created attachment 1032677 [details]
File: open_fds

Comment 11 mariolinux 2015-05-30 22:33:43 UTC
Created attachment 1032678 [details]
File: proc_pid_status

Comment 13 Fedora Update System 2015-06-14 16:33:47 UTC
gnome-software-3.16.4-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gnome-software-3.16.4-1.fc22

Comment 14 Fedora Update System 2015-06-15 13:28:40 UTC
Package gnome-software-3.16.4-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-software-3.16.4-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10011/gnome-software-3.16.4-1.fc22
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2015-06-21 00:21:13 UTC
gnome-software-3.16.4-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.